%global with_debug 0
%global with_check 0

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

%global provider github
%global provider_tld com
%global project containers
%global repo conmon
# https://github.com/containers/conmon
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global git0 https://%{import_path}

Name: %{repo}
Epoch: 2
Version: 2.0.20
Release: 1.rhaos4.3%{?dist}
Summary: OCI container runtime monitor
License: ASL 2.0
URL: %{git0}
Source0: %{git0}/archive/v%{version}.tar.gz
BuildRequires: gcc
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: systemd-devel

%description
%{summary}.

%prep
%autosetup -Sgit

%build
%{__make} all

%install
%{__make} PREFIX=%{buildroot}%{_prefix} install install.crio

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_libexecdir}/crio/%{name}

%changelog
* Wed Jul 29 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.20-1.rhaos4.3
- update to https://github.com/containers/conmon/releases/tag/v2.0.20

* Fri Jun 05 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.17-1.rhaos4.3
- update to https://github.com/containers/conmon/releases/tag/v2.0.17
- Related: #1814928

* Mon Apr 06 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.15-1.rhaos4.3
- update to 2.0.15
- Resolves: #1821179

* Wed Apr 01 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.9-3.rhaos4.3
- add rhaos4.3 tag to release

* Wed Apr 01 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.9-2
- add missing Epoch
- Resolves: #1819679

* Tue Jan 07 2020 Jindrich Novy <jnovy@redhat.com> - 2.0.9-1
- update to 2.0.9

* Sat Dec 14 2019 Jindrich Novy <jnovy@redhat.com> - 2.0.8-1
- update to 2.0.8

* Thu Dec 12 2019 Jindrich Novy <jnovy@redhat.com> - 2.0.7-1
- update to 2.0.7

* Wed Dec 11 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.6-1
- update to 2.0.6

* Tue Dec 10 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.5-1
- update to 2.0.5

* Thu Nov 21 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2.0.3-1
- Resolves: #1769585
- bump to v2.0.3

* Mon Oct 14 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2.0.2-2
- install to /usr/libexecdir/crio as well for now

* Sat Oct 12 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2.0.2-1
- build v2.0.2
- first build for rhel
